Bind passing signed quality evidence from the exact candidate revision
POST
/
api
/
v1
/
optimized-artifacts
/
{id}
/
qualify
Bind passing signed quality evidence from the exact candidate revision
curl --request POST \
--url http://127.0.0.1:18000/api/v1/optimized-artifacts/{id}/qualify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_run_id": "<string>",
"quality_evidence_id": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/optimized-artifacts/{id}/qualify"
payload = {
"candidate_run_id": "<string>",
"quality_evidence_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({candidate_run_id: '<string>', quality_evidence_id: '<string>'})
};
fetch('http://127.0.0.1:18000/api/v1/optimized-artifacts/{id}/qualify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/optimized-artifacts/{id}/qualify"
payload := strings.NewReader("{\n \"candidate_run_id\": \"<string>\",\n \"quality_evidence_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Body
application/json
Response
Success
The response is of type object.
⌘I
Bind passing signed quality evidence from the exact candidate revision
curl --request POST \
--url http://127.0.0.1:18000/api/v1/optimized-artifacts/{id}/qualify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_run_id": "<string>",
"quality_evidence_id": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/optimized-artifacts/{id}/qualify"
payload = {
"candidate_run_id": "<string>",
"quality_evidence_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({candidate_run_id: '<string>', quality_evidence_id: '<string>'})
};
fetch('http://127.0.0.1:18000/api/v1/optimized-artifacts/{id}/qualify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/optimized-artifacts/{id}/qualify"
payload := strings.NewReader("{\n \"candidate_run_id\": \"<string>\",\n \"quality_evidence_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}